<!--
N.B.: This README was automatically generated by https://github.com/YunoHost/apps/tree/master/tools/README-generator
It shall NOT be edited by hand.
-->

# Retroarch Web Player for YunoHost

[![Integration level](https://dash.yunohost.org/integration/retroarch.svg)](https://dash.yunohost.org/appci/app/retroarch) ![](https://ci-apps.yunohost.org/ci/badges/retroarch.status.svg) ![](https://ci-apps.yunohost.org/ci/badges/retroarch.maintain.svg)  
[![Install Retroarch Web Player with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=retroarch)

*[Lire ce readme en français.](./README_fr.md)*

> *This package allows you to install Retroarch Web Player quickly and simply on a YunoHost server.
If you don't have YunoHost, please consult [the guide](https://yunohost.org/#/install) to learn how to install it.*

## Overview

Emulate videogames system and play videogames through your web browser... and more!

**Shipped version:** 1.9.8

**Demo:** https://web.libretro.com/

## Screenshots

![](./doc/screenshots/XMB-main-menu.jpg)
![](./doc/screenshots/rgui-main-menu.jpg)
![](./doc/screenshots/ozone-main-menu.jpg)

## Disclaimers / important information

### Use Shared ROMs library

Although you can upload a ROM at runtime, retroarch may have access to the ROMs you already have on your server:

* Games are located in `/opt/yunohost/retroarch/assets/cores`. A symbolic link is created to this folder in `/home/yunohost.multimedia/share/Games`, so that you can place your games from here
* cores have to be indexed to work : script `/opt/yunohost/retroarch/indexer.sh` run every 5 minutes to index all games in `opt/yunohost/retroarch/assets/cores`


### Supported architectures

* x86-64b - [![Build Status](https://ci-apps.yunohost.org/ci/logs/retroarch%20%28Apps%29.svg)](https://ci-apps.yunohost.org/ci/apps/retroarch/)
* ARMv8-A - [![Build Status](https://ci-apps-arm.yunohost.org/ci/logs/retroarch%20%28Apps%29.svg)](https://ci-apps-arm.yunohost.org/ci/apps/retroarch/)

### Limitations

* cannot save game, in fact, cannot write at all... so configuration is lost each time you start again
* no user management
* some core are listed but not implemented : they do not work, the issue is from the upstream app.

## Documentation and resources

* Official app website: http://www.retroarch.com/
* Official user documentation: https://docs.libretro.com/
* Official admin documentation: https://docs.libretro.com/
* Upstream app code repository: https://github.com/libretro/RetroArch
* YunoHost documentation for this app: https://yunohost.org/app_retroarch
* Report a bug: https://github.com/YunoHost-Apps/retroarch_ynh/issues

## Developer info

Please send your pull request to the [testing branch](https://github.com/YunoHost-Apps/retroarch_ynh/tree/testing).

To try the testing branch, please proceed like that.
```
sudo yunohost app install https://github.com/YunoHost-Apps/retroarch_ynh/tree/testing --debug
or
sudo yunohost app upgrade retroarch -u https://github.com/YunoHost-Apps/retroarch_ynh/tree/testing --debug
```

**More info regarding app packaging:** https://yunohost.org/packaging_apps